export function isClass(target: any) {
  if (typeof target !== 'function') {
    return false;
  }
  const proto = target.prototype;
  return proto !== Function && proto !== Object;
}

export function getClass(target: any): Function {
  return isClass(target) ? target : target.constructor;
}
